﻿using BussinessApp.ViewModels;

using Microsoft.UI.Xaml.Controls;

namespace BussinessApp.Views;

public sealed partial class MainPage : Page
{
    public MainViewModel ViewModel
    {
        get;
    }

    public MainPage()
    {
        ViewModel = App.GetService<MainViewModel>();
        InitializeComponent();
        InitializeSampleTreeView();
    }

    private void InitializeSampleTreeView()
    {
        TreeViewNode folder1 = new TreeViewNode() {Content = "Kunden" };
        folder1.IsExpanded = true;

        folder1.Children.Add(new TreeViewNode() { Content = "Stammdaten" });
        folder1.Children.Add(new TreeViewNode() { Content = "Vobestellungen" });
        folder1.Children.Add(new TreeViewNode() { Content = "Bestellungen" });
        folder1.Children.Add(new TreeViewNode() { Content = "Retouren" });

        TreeViewNode folder2 = new TreeViewNode() { Content = "Lieferanten" };

        myTreeView.RootNodes.Add(folder1);
        myTreeView.RootNodes.Add(folder2);
    }
}
